Bug 112296 - gaim-0.74 x86_64 specific segfaults
gaim-0.74 x86_64 specific segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 05:03 EST by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 02:27:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-12-17 05:03:48 EST
Description of problem:
http://togami.com/~warren/archive/2003/gaim-0.74-crash.txt
The this URL describes two 100% reproducible segfaults in gaim that
fail to crash with the same package on x86 FC1.  One of the Gnome
developers suspects that this might be a x86_64 specific problem with
one of the libraries or toolkits associated with the clicking of those
"online" boxes rather than logging in from the main menu.  Hopefully
these test cases can help to expose the actual problem.

CC: Havoc and Owen
I hope I can get your quick assessments of these tracebacks.  Please
remove yourself if you don't think it is a library or toolkit problem
on x86_64 but gaim's fault.

Version-Release number of selected component (if applicable):
gaim-0.74-5
Comment 1 Justin M. Forbes 2003-12-17 10:10:41 EST
Are you using the notification plug in? The only way I have been able
to reproduce a segfault in GAIM 64bit was with that plugin enabled,
without it, GAIM seems to run fine.
Comment 2 Owen Taylor 2003-12-17 10:25:19 EST
The traceback looks completely gaim-internal .. I see no connection
to GTK+, GLib, etc. Reproducing with debugging symbols would
probably help track down the problem inside GAIM.

Comment 3 Warren Togami 2003-12-17 10:41:12 EST
> Are you using the notification plug in?
I believe notification plugin is disabled by default after you destroy
~/.gaim and start with a new profile.

> Reproducing with debugging symbols would
> probably help track down the problem inside GAIM.
What is indicative that I am lacking debugging symbols?  I rebuilt
gaim and installed both it and the debuginfo package.  Am I missing
something?
Comment 4 Owen Taylor 2003-12-17 10:57:35 EST
I just misread the backtrace ... it does look like you have
debugging symbols. Not knowing anything about GAIM internals,
I can't say whether what is shown is useful or not.
Comment 5 Christopher Blizzard 2004-02-12 13:27:57 EST
This still a problem in 0.75?
Comment 8 Warren Togami 2004-03-17 02:27:31 EST
20040316 CVS in rawhide real soon.  FC2 should ship with 0.76 final
eventually, but it seems that test2 will have a pre-0.76 snapshot.
Comment 9 Nicholas Miell 2004-03-17 18:17:09 EST
what about an errata package for FC1?
Comment 10 Jesse Keating 2004-03-27 15:12:02 EST
I found gaim-0.75.99-20040318cvs.2.src.rpm in development/ and rebuilt
it on FC1 x86_64.  Seems to have gotten worse.  Now I can't even
login.  I could before (after warren's perl upgrade), but it would
crash whenever I clicked to open up an IM window on a buddy.  Now it
crashes as soon as I try to login:

server: gaim 0.75.99-20040318cvs logging in 519648 using AIM/ICQ
oscar: oscar_login: gc = 0x7460d0
dns: Created new DNS child 23106, there are now 2 children.
Session Management: Received first save_yourself
dns: Host 'login.oscar.aol.com' resolved
GLib: gmem.c:140: failed to allocate 5049661090779103248 bytes
Aborted

Not sure what other information may be requested.
Comment 11 Luke Schierer 2004-03-27 17:01:34 EST
when this issue came up in the gentoo bug tracker, After discussion
with some of the other gaim developers and the gentoo gaim packager,
it was decided to submit this to the gnome/gtk bug tracker.  we saw
this kind of massive memory allocation there only after an upgrade to
gtk 2.4, is that the version in use here? 
Comment 12 Warren Togami 2004-03-27 17:13:40 EST
No, Fedora Core 1 has gtk2-2.2.x.  gtk2-2.4.0 is however in FC2 and
the gaim snapshot seems to work great there.

Note You need to log in before you can comment on or make changes to this bug.